package model

import "strings"

func IsDuplicateError(err error) bool {
	if err == nil {
		return false
	}

	var errstr = strings.ToLower(err.Error())
	if strings.HasPrefix(errstr, "error 1062 (23000): duplicate entry") {
		return true
	} else if strings.Contains(errstr, "error") && strings.Contains(errstr, "duplicate entry") {
		return true
	}
	return false
}
