package model

import (
	"qoobing.ai/payserver/config"
	"qoobing.com/gomod/log"
	"qoobing.com/gomod/model"
)

var (
	Db          = model.Db
	DbOf        = model.DbOf
	Redis       = model.Redis
	RedisPool   = model.RedisPool
	RedisPoolOf = model.RedisPoolOf
)

func init() {
	cfg := config.Instance()
	model.Init("pay", &cfg.PayDb)
	model.Init("pay", &cfg.PayRedis)
	log.Infof("model initlized")
}
